SDL_GetMouseNameForID(3)

NAME
SDL_GetMouseNameForID - Get the name of a mouse.

SYNOPSIS
#include <SDL3/SDL_mouse.h>

const char * SDL_GetMouseNameForID(SDL_MouseID instance_id);

DESCRIPTION
This function returns "" if the mouse doesn't have a name.

FUNCTION PARAMETERS

instance_id
    the mouse instance ID.

RETURN VALUE
Returns the name of the selected mouse, or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetMice(3)